Bug 24646 - RoundFinesAtPayment is not a self check in preference
Summary: RoundFinesAtPayment is not a self check in preference
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-12 18:43 UTC by Nick Clemens
Modified: 2020-03-13 15:40 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24646: Move RoundFinesAtPayment to 'Fines policy' section (3.69 KB, patch)
2020-02-12 18:46 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 24646: Move RoundFinesAtPayment to 'Fines policy' section (3.74 KB, patch)
2020-02-16 20:04 UTC, David Nind
Details | Diff | Splinter Review
Bug 24646: Move RoundFinesAtPayment to 'Fines policy' section (2.04 KB, patch)
2020-02-19 02:50 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 24646: Move RoundFinesAtPayment to 'Fines policy' section (2.44 KB, patch)
2020-02-20 03:28 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 24646: Move RoundFinesAtPayment to 'Fines policy' section (2.49 KB, patch)
2020-02-22 16:48 UTC, David Nind
Details | Diff | Splinter Review
Bug 24646: Move RoundFinesAtPayment to 'Fines policy' section (2.54 KB, patch)
2020-02-23 10:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24646: [19.11.x] Move RoundFinesAtPayment to 'Fines policy' section (2.49 KB, patch)
2020-03-13 15:40 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2020-02-12 18:43:51 UTC
Ended up in wrong section, assuming just a rebase confusion
Comment 1 Nick Clemens 2020-02-12 18:46:15 UTC
Created attachment 98771 [details] [review]
Bug 24646: Move RoundFinesAtPayment to 'Fines policy' section

To test:
 - Search Admin->System preferences for 'RoundFinesAtPayment'
 - Note it is listed under self-check
 - Apply patch
 - Restart/refresh
 - Note it is now under 'Fines Policy'
Comment 2 David Nind 2020-02-16 20:04:48 UTC
Created attachment 99064 [details] [review]
Bug 24646: Move RoundFinesAtPayment to 'Fines policy' section

To test:
 - Search Admin->System preferences for 'RoundFinesAtPayment'
 - Note it is listed under self-check
 - Apply patch
 - Restart/refresh
 - Note it is now under 'Fines Policy'

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2020-02-17 21:27:46 UTC
Hi Nick, it looks like this patch needs a clean-up (check the diff, you will see)
Comment 4 Nick Clemens 2020-02-19 02:50:54 UTC
Created attachment 99234 [details] [review]
Bug 24646: Move RoundFinesAtPayment to 'Fines policy' section

To test:
 - Search Admin->System preferences for 'RoundFinesAtPayment'
 - Note it is listed under self-check
 - Apply patch
 - Restart/refresh
 - Note it is now under 'Fines Policy'

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 Katrin Fischer 2020-02-19 08:32:49 UTC
Thx!
Comment 6 Martin Renvoize 2020-02-19 08:51:02 UTC
Is this 'just fines' or payments in general?  If it's payments in general perhaps it should live under the new 'Accounting' tab instead, under the 'Policy' section?
Comment 7 Nick Clemens 2020-02-20 03:28:54 UTC
Created attachment 99293 [details] [review]
Bug 24646: Move RoundFinesAtPayment to 'Fines policy' section

To test:
 - Search Admin->System preferences for 'RoundFinesAtPayment'
 - Note it is listed under self-check
 - Apply patch
 - Restart/refresh
 - Note it is now under Accounting -> Policy
Comment 8 David Nind 2020-02-22 16:48:52 UTC
Created attachment 99459 [details] [review]
Bug 24646: Move RoundFinesAtPayment to 'Fines policy' section

To test:
 - Search Admin->System preferences for 'RoundFinesAtPayment'
 - Note it is listed under self-check
 - Apply patch
 - Restart/refresh
 - Note it is now under Accounting -> Policy

Signed-off-by: David Nind <david@davidnind.com>
Comment 9 Katrin Fischer 2020-02-23 10:02:53 UTC
Created attachment 99464 [details] [review]
Bug 24646: Move RoundFinesAtPayment to 'Fines policy' section

To test:
 - Search Admin->System preferences for 'RoundFinesAtPayment'
 - Note it is listed under self-check
 - Apply patch
 - Restart/refresh
 - Note it is now under Accounting -> Policy

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Martin Renvoize 2020-02-24 09:58:37 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 11 Joy Nelson 2020-03-13 01:25:32 UTC
does not apply to 19.11.x
please rebase if needed
Comment 12 Nick Clemens 2020-03-13 15:40:55 UTC
Created attachment 100685 [details] [review]
Bug 24646: [19.11.x] Move RoundFinesAtPayment to 'Fines policy' section

To test:
 - Search Admin->System preferences for 'RoundFinesAtPayment'
 - Note it is listed under self-check
 - Apply patch
 - Restart/refresh
 - Note it is now under Accounting -> Policy

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>